com.aliyun.svideosdk.common.struct.project

## Class AudioTrackClip

- java.lang.Object
- - TrackClip
  - - com.aliyun.svideosdk.common.struct.project.AudioTrackClip

-     public class AudioTrackClip
      extends TrackClip

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AudioTrackClip.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioTrackClip()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Effect>` | `getEffects()` Gets the sound effect list
    `float` | `getIn()` Gets the time when this audio appears.
    `float` | `getOut()` Gets the time when this audio disappears.
    `Source` | `getSource()` Gets the audio resource.
    `AudioTrackClip.Type` | `getType()` Gets the type of audio track clip.
    `void` | `setIn(float in)` Sets the time when this audio appears.
    `void` | `setOut(float out)` Sets the time when this audio disappears.
    `void` | `setSource(Source source)` Sets the audio resource.
    `void` | `setType(AudioTrackClip.Type type)` Sets the type of audio track clip.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AudioTrackClip

          public AudioTrackClip()

  - ### Method Detail

    - #### getType

          public AudioTrackClip.Type getType()

      Gets the type of audio track clip.
      Returns:
        type

    - #### setType

          public void setType(AudioTrackClip.Type type)

      Sets the type of audio track clip.
      Parameters:
        `type` - type

    - #### getSource

          public Source getSource()

      Gets the audio resource.
      Returns:
        audio resource

    - #### setSource

          public void setSource(Source source)

      Sets the audio resource.
      Parameters:
        `source` - audio resource

    - #### getIn

          public float getIn()

      Gets the time when this audio appears. Unit: second. Accurate to 4 decimal places.
      Returns:
        in

    - #### setIn

          public void setIn(float in)

      Sets the time when this audio appears. Unit: second. Accurate to 4 decimal places.
      Parameters:
        `in` - in

    - #### getOut

          public float getOut()

      Gets the time when this audio disappears. Unit: second. Accurate to 4 decimal places.
      Returns:
        out

    - #### setOut

          public void setOut(float out)

      Sets the time when this audio disappears. Unit: second. Accurate to 4 decimal places.
      Parameters:
        `out` - out

    - #### getEffects

          public java.util.List<Effect> getEffects()

      Gets the sound effect list
      Returns:
        sound effect list